- [HTTP request](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/get.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/get.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/get.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/get.md.txt#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/get.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/get.md.txt#body.aspect)
- [MessageView](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/get.md.txt#MessageView)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features.

Gets metadata and content for a quarantined message.

<br />

### HTTP request

`GET https://mailadminquarantine.googleapis.com/v1/{name=customers/*/quarantinedMessages/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the quarantined message to retrieve. Format: customers/{customer_id}/quarantinedMessages/{quarantined_message_id} |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`MessageView`)`` Optional. The view of the message content. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `QuarantinedMessage`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/gmail.admin.quarantine`
- `https://www.googleapis.com/auth/gmail.admin.quarantine.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/gmail/admin-quarantine/guides/authorize.md.txt).

## MessageView

Optional. The view of the message content to retrieve.

| Enums ||
|---|---|
| `MESSAGE_VIEW_UNSPECIFIED` | Default. Returns the message with basic metadata. |
| `MESSAGE_VIEW_BASIC` | Returns only metadata of a message. |
| `MESSAGE_VIEW_RAW` | Returns the entire email message in an RFC 2822 formatted and base64url encoded string. |
| `MESSAGE_VIEW_DETAILS` | Returns the full parsed message structure, including headers, body, and attachments. |